#!/usr/bin/ksh

# -----------------------------------------------------------------------
# Returns the version specified in version.key file of the Common Agent
#
# @return
#	result=success,ca_version=<agent version>
#				In case version file was found and correctly interpreted
#				along with the agent version
#
# ------------------------------------------------------------------------

ca_ver="$(cat /opt/ibm/director/agent/version.key | grep "^version=" | awk '{ {split($0, split_result, "=")} {print split_result[2]} }')"

ca_ver_no_spaces=`echo $ca_ver | sed -e 's/^ *//' -e 's/ *$//'`

echo "result=success,ca_version=$ca_ver_no_spaces"
